# Constant Field Values

## Contents

- com.android.*
- org.linphone.*

## com.android.*

com.android.server.os.LinphoneTombstoneProtos.Architecture
Modifier and Type
Constant Field
Value
`public static final int`
`ARM32_VALUE`
`0`
`public static final int`
`ARM64_VALUE`
`1`
`public static final int`
`RISCV64_VALUE`
`4`
`public static final int`
`X86_64_VALUE`
`3`
`public static final int`
`X86_VALUE`
`2`
com.android.server.os.LinphoneTombstoneProtos.ArmMTEMetadata
Modifier and Type
Constant Field
Value
`public static final int`
`MEMORY_TAGS_FIELD_NUMBER`
`1`
com.android.server.os.LinphoneTombstoneProtos.BacktraceFrame
Modifier and Type
Constant Field
Value
`public static final int`
`BUILD_ID_FIELD_NUMBER`
`8`
`public static final int`
`FILE_MAP_OFFSET_FIELD_NUMBER`
`7`
`public static final int`
`FILE_NAME_FIELD_NUMBER`
`6`
`public static final int`
`FUNCTION_NAME_FIELD_NUMBER`
`4`
`public static final int`
`FUNCTION_OFFSET_FIELD_NUMBER`
`5`
`public static final int`
`PC_FIELD_NUMBER`
`2`
`public static final int`
`REL_PC_FIELD_NUMBER`
`1`
`public static final int`
`SP_FIELD_NUMBER`
`3`
com.android.server.os.LinphoneTombstoneProtos.Cause
Modifier and Type
Constant Field
Value
`public static final int`
`HUMAN_READABLE_FIELD_NUMBER`
`1`
`public static final int`
`MEMORY_ERROR_FIELD_NUMBER`
`2`
com.android.server.os.LinphoneTombstoneProtos.CrashDetail
Modifier and Type
Constant Field
Value
`public static final int`
`DATA_FIELD_NUMBER`
`2`
`public static final int`
`NAME_FIELD_NUMBER`
`1`
com.android.server.os.LinphoneTombstoneProtos.FD
Modifier and Type
Constant Field
Value
`public static final int`
`FD_FIELD_NUMBER`
`1`
`public static final int`
`OWNER_FIELD_NUMBER`
`3`
`public static final int`
`PATH_FIELD_NUMBER`
`2`
`public static final int`
`TAG_FIELD_NUMBER`
`4`
com.android.server.os.LinphoneTombstoneProtos.HeapObject
Modifier and Type
Constant Field
Value
`public static final int`
`ADDRESS_FIELD_NUMBER`
`1`
`public static final int`
`ALLOCATION_BACKTRACE_FIELD_NUMBER`
`4`
`public static final int`
`ALLOCATION_TID_FIELD_NUMBER`
`3`
`public static final int`
`DEALLOCATION_BACKTRACE_FIELD_NUMBER`
`6`
`public static final int`
`DEALLOCATION_TID_FIELD_NUMBER`
`5`
`public static final int`
`SIZE_FIELD_NUMBER`
`2`
com.android.server.os.LinphoneTombstoneProtos.LogBuffer
Modifier and Type
Constant Field
Value
`public static final int`
`LOGS_FIELD_NUMBER`
`2`
`public static final int`
`NAME_FIELD_NUMBER`
`1`
com.android.server.os.LinphoneTombstoneProtos.LogMessage
Modifier and Type
Constant Field
Value
`public static final int`
`MESSAGE_FIELD_NUMBER`
`6`
`public static final int`
`PID_FIELD_NUMBER`
`2`
`public static final int`
`PRIORITY_FIELD_NUMBER`
`4`
`public static final int`
`TAG_FIELD_NUMBER`
`5`
`public static final int`
`TID_FIELD_NUMBER`
`3`
`public static final int`
`TIMESTAMP_FIELD_NUMBER`
`1`
com.android.server.os.LinphoneTombstoneProtos.MemoryDump
Modifier and Type
Constant Field
Value
`public static final int`
`ARM_MTE_METADATA_FIELD_NUMBER`
`6`
`public static final int`
`BEGIN_ADDRESS_FIELD_NUMBER`
`3`
`public static final int`
`MAPPING_NAME_FIELD_NUMBER`
`2`
`public static final int`
`MEMORY_FIELD_NUMBER`
`4`
`public static final int`
`REGISTER_NAME_FIELD_NUMBER`
`1`
com.android.server.os.LinphoneTombstoneProtos.MemoryError
Modifier and Type
Constant Field
Value
`public static final int`
`HEAP_FIELD_NUMBER`
`3`
`public static final int`
`TOOL_FIELD_NUMBER`
`1`
`public static final int`
`TYPE_FIELD_NUMBER`
`2`
com.android.server.os.LinphoneTombstoneProtos.MemoryError.Tool
Modifier and Type
Constant Field
Value
`public static final int`
`GWP_ASAN_VALUE`
`0`
`public static final int`
`SCUDO_VALUE`
`1`
com.android.server.os.LinphoneTombstoneProtos.MemoryError.Type
Modifier and Type
Constant Field
Value
`public static final int`
`BUFFER_OVERFLOW_VALUE`
`4`
`public static final int`
`BUFFER_UNDERFLOW_VALUE`
`5`
`public static final int`
`DOUBLE_FREE_VALUE`
`2`
`public static final int`
`INVALID_FREE_VALUE`
`3`
`public static final int`
`UNKNOWN_VALUE`
`0`
`public static final int`
`USE_AFTER_FREE_VALUE`
`1`
com.android.server.os.LinphoneTombstoneProtos.MemoryMapping
Modifier and Type
Constant Field
Value
`public static final int`
`BEGIN_ADDRESS_FIELD_NUMBER`
`1`
`public static final int`
`BUILD_ID_FIELD_NUMBER`
`8`
`public static final int`
`END_ADDRESS_FIELD_NUMBER`
`2`
`public static final int`
`EXECUTE_FIELD_NUMBER`
`6`
`public static final int`
`LOAD_BIAS_FIELD_NUMBER`
`9`
`public static final int`
`MAPPING_NAME_FIELD_NUMBER`
`7`
`public static final int`
`OFFSET_FIELD_NUMBER`
`3`
`public static final int`
`READ_FIELD_NUMBER`
`4`
`public static final int`
`WRITE_FIELD_NUMBER`
`5`
com.android.server.os.LinphoneTombstoneProtos.Register
Modifier and Type
Constant Field
Value
`public static final int`
`NAME_FIELD_NUMBER`
`1`
`public static final int`
`U64_FIELD_NUMBER`
`2`
com.android.server.os.LinphoneTombstoneProtos.Signal
Modifier and Type
Constant Field
Value
`public static final int`
`CODE_FIELD_NUMBER`
`3`
`public static final int`
`CODE_NAME_FIELD_NUMBER`
`4`
`public static final int`
`FAULT_ADDRESS_FIELD_NUMBER`
`9`
`public static final int`
`FAULT_ADJACENT_METADATA_FIELD_NUMBER`
`10`
`public static final int`
`HAS_FAULT_ADDRESS_FIELD_NUMBER`
`8`
`public static final int`
`HAS_SENDER_FIELD_NUMBER`
`5`
`public static final int`
`NAME_FIELD_NUMBER`
`2`
`public static final int`
`NUMBER_FIELD_NUMBER`
`1`
`public static final int`
`SENDER_PID_FIELD_NUMBER`
`7`
`public static final int`
`SENDER_UID_FIELD_NUMBER`
`6`
com.android.server.os.LinphoneTombstoneProtos.Thread
Modifier and Type
Constant Field
Value
`public static final int`
`BACKTRACE_NOTE_FIELD_NUMBER`
`7`
`public static final int`
`CURRENT_BACKTRACE_FIELD_NUMBER`
`4`
`public static final int`
`ID_FIELD_NUMBER`
`1`
`public static final int`
`MEMORY_DUMP_FIELD_NUMBER`
`5`
`public static final int`
`NAME_FIELD_NUMBER`
`2`
`public static final int`
`PAC_ENABLED_KEYS_FIELD_NUMBER`
`8`
`public static final int`
`REGISTERS_FIELD_NUMBER`
`3`
`public static final int`
`TAGGED_ADDR_CTRL_FIELD_NUMBER`
`6`
`public static final int`
`UNREADABLE_ELF_FILES_FIELD_NUMBER`
`9`
com.android.server.os.LinphoneTombstoneProtos.Tombstone
Modifier and Type
Constant Field
Value
`public static final int`
`ABORT_MESSAGE_FIELD_NUMBER`
`14`
`public static final int`
`ARCH_FIELD_NUMBER`
`1`
`public static final int`
`BUILD_FINGERPRINT_FIELD_NUMBER`
`2`
`public static final int`
`CAUSES_FIELD_NUMBER`
`15`
`public static final int`
`COMMAND_LINE_FIELD_NUMBER`
`9`
`public static final int`
`CRASH_DETAILS_FIELD_NUMBER`
`21`
`public static final int`
`LOG_BUFFERS_FIELD_NUMBER`
`18`
`public static final int`
`MEMORY_MAPPINGS_FIELD_NUMBER`
`17`
`public static final int`
`OPEN_FDS_FIELD_NUMBER`
`19`
`public static final int`
`PID_FIELD_NUMBER`
`5`
`public static final int`
`PROCESS_UPTIME_FIELD_NUMBER`
`20`
`public static final int`
`REVISION_FIELD_NUMBER`
`3`
`public static final int`
`SELINUX_LABEL_FIELD_NUMBER`
`8`
`public static final int`
`SIGNAL_INFO_FIELD_NUMBER`
`10`
`public static final int`
`THREADS_FIELD_NUMBER`
`16`
`public static final int`
`TID_FIELD_NUMBER`
`6`
`public static final int`
`TIMESTAMP_FIELD_NUMBER`
`4`
`public static final int`
`UID_FIELD_NUMBER`
`7`

## org.linphone.*

org.linphone.mediastream.Factory
Modifier and Type
Constant Field
Value
`public static final int`
`DEVICE_HAS_BUILTIN_AEC`
`1`
`public static final int`
`DEVICE_HAS_BUILTIN_AEC_CRAPPY`
`2`
`public static final int`
`DEVICE_HAS_BUILTIN_OPENSLES_AEC`
`8`
`public static final int`
`DEVICE_HAS_CRAPPY_AAUDIO`
`4096`
`public static final int`
`DEVICE_HAS_CRAPPY_ANDROID_FASTRECORD`
`32`
`public static final int`
`DEVICE_HAS_CRAPPY_ANDROID_FASTTRACK`
`16`
`public static final int`
`DEVICE_HAS_CRAPPY_OPENGL`
`128`
`public static final int`
`DEVICE_HAS_CRAPPY_OPENSLES`
`256`
`public static final int`
`DEVICE_HAS_UNSTANDARD_LIBMEDIA`
`64`
`public static final int`
`DEVICE_MCH264ENC_NO_PIX_FMT_CONV`
`1024`
`public static final int`
`DEVICE_MCH265_LIMIT_DEQUEUE_OF_OUTPUT_BUFFERS`
`2048`
`public static final int`
`DEVICE_USE_ANDROID_CAMCORDER`
`512`
`public static final int`
`DEVICE_USE_ANDROID_MIC`
`4`
org.linphone.mediastream.Version
Modifier and Type
Constant Field
Value
`public static final int`
`API03_CUPCAKE_15`
`3`
`public static final int`
`API04_DONUT_16`
`4`
`public static final int`
`API05_ECLAIR_20`
`5`
`public static final int`
`API06_ECLAIR_201`
`6`
`public static final int`
`API07_ECLAIR_21`
`7`
`public static final int`
`API08_FROYO_22`
`8`
`public static final int`
`API09_GINGERBREAD_23`
`9`
`public static final int`
`API10_GINGERBREAD_MR1_233`
`10`
`public static final int`
`API11_HONEYCOMB_30`
`11`
`public static final int`
`API12_HONEYCOMB_MR1_31X`
`12`
`public static final int`
`API13_HONEYCOMB_MR2_32`
`13`
`public static final int`
`API14_ICE_CREAM_SANDWICH_40`
`14`
`public static final int`
`API15_ICE_CREAM_SANDWICH_403`
`15`
`public static final int`
`API16_JELLY_BEAN_41`
`16`
`public static final int`
`API17_JELLY_BEAN_42`
`17`
`public static final int`
`API18_JELLY_BEAN_43`
`18`
`public static final int`
`API19_KITKAT_44`
`19`
`public static final int`
`API21_LOLLIPOP_50`
`21`
`public static final int`
`API22_LOLLIPOP_51`
`22`
`public static final int`
`API23_MARSHMALLOW_60`
`23`
`public static final int`
`API24_NOUGAT_70`
`24`
`public static final int`
`API25_NOUGAT_71`
`25`
`public static final int`
`API26_O_80`
`26`
`public static final int`
`API27_OREO_81`
`27`
`public static final int`
`API28_PIE_90`
`28`
`public static final int`
`API29_ANDROID_10`
`29`
`public static final int`
`API30_ANDROID_11`
`30`
`public static final int`
`API31_ANDROID_12`
`31`
`public static final int`
`API32_ANDROID_12L`
`32`
`public static final int`
`API33_ANDROID_13_TIRAMISU`
`33`
`public static final int`
`API34_ANDROID_14_UPSIDE_DOWN_CAKE`
`34`
`public static final int`
`API35_ANDROID_15_VANILLA_ICE_CREAM`
`35`
`public static final int`
`API36_ANDROID_16_BAKLAVA`
`36`